﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Pregled svih troskovnika natjecaja</title>
    <link href="lib/jqueryui/themes/base/jquery-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="lib/jtable/lib/themes/lightcolor/blue/jtable.min.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-sm-12" id="troskovnici">

            </div>
        </div>
    </div>

    <script type="text/javascript" src="lib/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="lib/jqueryui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/jquery.jtable.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/localization/jquery.jtable.hr.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#troskovnici').jtable({
                title: 'Popis troskovnika',
                paging: true,
                pageSize: 5,
                sorting: true,
                defaultSorting: 'Id DESC',
                actions: {
                    listAction: 'jtable/troskovniknatjecaj/getall',
                    createAction: 'jtable/troskovniknatjecaj/create',
                    updateAction: 'jtable/troskovniknatjecaj/update',
                    deleteAction: 'jtable/troskovniknatjecaj/delete'
                },
                fields: {
                    Id: {
                        key: true,
                        list: true,
                        title: "Id troskovnika"
                    },
                    Naslov: {
                        title: 'Naslov troskovnika',
                        width: '30%'
                    },
                    Opis: {
                        title: 'Opis troskovnika',
                        width: '40%'
                    },
                    NazivNat: {
                        title: 'Naziv natjecaja',
                        width: '30%',
                    }
                }
            });

            $("#troskovnici").jtable('load');
        });
    </script>

</body>
</html>